"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
class DeprecationSignatureError extends Error {
    constructor({ page  }){
        super(`The middleware "${page}" accepts an async API directly with the form:
  
  export function middleware(request, event) {
    return NextResponse.redirect('/new-location')
  }
  
  Read more: https://nextjs.org/docs/messages/middleware-new-signature
  `);
    }
}
exports.DeprecationSignatureError = DeprecationSignatureError;
class DeprecationPageError extends Error {
    constructor(){
        super(`The request.page has been deprecated in favour of URLPattern.
  Read more: https://nextjs.org/docs/messages/middleware-request-page
  `);
    }
}
exports.DeprecationPageError = DeprecationPageError;

//# sourceMappingURL=error.js.map